GenerateIvyDescriptor (Gradle API 5.0)
Date: 2018-11-26

Package org.gradle.api.publish.ivy.tasks

## Class GenerateIvyDescriptor

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.publish.ivy.tasks.GenerateIvyDescriptor

-     public class GenerateIvyDescriptor
      extends DefaultTask

  Generates an Ivy XML Module Descriptor file.
  Since:
    1.4

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GenerateIvyDescriptor​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doGenerate​()` |
    `IvyModuleDescriptorSpec` | `getDescriptor​()` | The module descriptor metadata.
    `java.io.File` | `getDestination​()` | The file the descriptor will be written to.
    `protected org.gradle.internal.file.PathToFileResolver` | `getFileResolver​()` |
    `void` | `setDescriptor​(IvyModuleDescriptorSpec descriptor)` |
    `void` | `setDestination​(java.io.File destination)` | Sets the destination the descriptor will be written to.
    `void` | `setDestination​(java.lang.Object destination)` | Sets the destination the descriptor will be written to.

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTaskIdentity, getTemporaryDir, getTemporaryDirFactory, getTimeout, hasProperty, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, replaceLogger, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GenerateIvyDescriptor

          public GenerateIvyDescriptor​()

  - ### Method Detail

    - #### getFileResolver

          @Inject
          protected org.gradle.internal.file.PathToFileResolver getFileResolver​()

    - #### getDescriptor

          @Internal
          public IvyModuleDescriptorSpec getDescriptor​()

      The module descriptor metadata.
      Returns:
        The module descriptor.

    - #### setDescriptor

          public void setDescriptor​(IvyModuleDescriptorSpec descriptor)

    - #### getDestination

          @OutputFile
          public java.io.File getDestination​()

      The file the descriptor will be written to.
      Returns:
        The file the descriptor will be written to

    - #### setDestination

          public void setDestination​(java.io.File destination)

      Sets the destination the descriptor will be written to.
      Parameters:
        `destination` - The file the descriptor will be written to.
      Since:
        4.0

    - #### setDestination

          public void setDestination​(java.lang.Object destination)

      Sets the destination the descriptor will be written to. The value is resolved with `Project.file(Object)`
      Parameters:
        `destination` - The file the descriptor will be written to.

    - #### doGenerate

          public void doGenerate​()